;This file is InsydeFlash utility configuration file
[FDFile]
FileName=R10D100_Consumer_CAP.bin
;FileName          default : empty.
;                   String : Utility always load this file.

[ForceFlash]
ALL=0
BB_PEI=1
CPU_Microcode=1
Variable=0
DXE=1
EC=1
Password=0
OEM_NVS=1
Logo=1
UseBvdtRomMap=0
Type#06=0
Type#07=0
Type#08=0
Type#09=0
Type#0A=0
Type#0B=0
Type#0C=0
Type#0D=0
Type#0E=0
Type#11=0
Type#12=0
Type#13=0
Type#14=0
Type#15=0
Type#16=0
Type#17=0
Type#18=0
Type#19=0
Type#1A=0
Type#1B=0
Type#1C=0
Type#1D=0
Type#1E=0
Type#1F=0
Type#20=0
Type#21=0
Type#22=0
Type#23=0
Type#24=0
Type#25=0
Type#26=0
Type#27=0
Type#28=0
Type#29=0
Type#2A=0
Type#2B=0
Type#2C=0
Type#2D=0
Type#2E=0
Type#2F=0
Type#30=0
Type#31=0
Type#32=0
Type#33=0
Type#34=0
Type#35=0
Type#36=0
Type#37=0
Type#38=0
Type#39=0
Type#3A=0
Type#3B=0
Type#3C=0
Type#3D=0
Type#3E=0
Type#3F=0
Type#40=0
Type#41=0
Type#42=0
Type#43=0
Type#44=0
Type#45=0
Type#46=0
Type#47=0
Type#48=0
Type#49=0
Type#4A=0
Type#4B=0
Type#4C=0
Type#4D=0
Type#4E=0
Type#4F=0
Type#50=0
Type#51=0
Type#52=0
Type#53=0
Type#54=0
Type#55=0
Type#56=0
Type#57=0
Type#58=0
Type#59=0
Type#5A=0
Type#5B=0
Type#5C=0
Type#5D=0
Type#5E=0
Type#5F=0
Type#60=0
Type#61=0
Type#62=0
Type#63=0
Type#64=0
Type#65=0
Type#66=0
Type#67=0
Type#68=0
Type#69=0
Type#6A=0
Type#6B=0
Type#6C=0
Type#6D=0
Type#6E=0
Type#6F=0
Type#70=0
Type#71=0
Type#72=0
Type#73=0
Type#74=0
Type#75=0
Type#76=0
Type#77=0
Type#78=0
Type#79=0
Type#7A=0
Type#7B=0
Type#7C=0
Type#7D=0
Type#7E=0
Type#7F=0
Type#80=0
Type#81=0
Type#82=0
Type#83=0
Type#84=0
Type#85=0
Type#86=0
Type#87=0
Type#88=0
Type#89=0
Type#8A=0
Type#8B=0
Type#8C=0
Type#8D=0
Type#8E=0
Type#8F=0
Type#90=0
Type#91=0
Type#92=0
Type#93=0
Type#94=0
Type#95=0
Type#96=0
Type#97=0
Type#98=0
Type#99=0
Type#9A=0
Type#9B=0
Type#9C=0
Type#9D=0
Type#9E=0
Type#9F=0
Type#A0=0
Type#A1=0
Type#A2=0
Type#A3=0
Type#A4=0
Type#A5=0
Type#A6=0
Type#A7=0
Type#A8=0
Type#A9=0
Type#AA=0
Type#AB=0
Type#AC=0
Type#AD=0
Type#AE=0
Type#AF=0
Type#B0=0
Type#B1=0
Type#B2=0
Type#B3=0
Type#B4=0
Type#B5=0
Type#B6=0
Type#B7=0
Type#B8=0
Type#B9=0
Type#BA=0
Type#BB=0
Type#BC=0
Type#BD=0
Type#BE=0
Type#BF=0
Type#C0=0
Type#C1=0
Type#C2=0
Type#C3=0
Type#C4=0
Type#C5=0
Type#C6=0
Type#C7=0
Type#C8=0
Type#C9=0
Type#CA=0
Type#CB=0
Type#CC=0
Type#CD=0
Type#CE=0
Type#CF=0
Type#D0=0
Type#D1=0
Type#D2=0
Type#D3=0
Type#D4=0
Type#D5=0
Type#D6=0
Type#D7=0
Type#D8=0
Type#D9=0
Type#DA=0
Type#DB=0
Type#DC=0
Type#DD=0
Type#DE=0
Type#DF=0
Type#E0=0
Type#E1=0
Type#E2=0
Type#E3=0
Type#E4=0
Type#E5=0
Type#E6=0
Type#E7=0
Type#E8=0
Type#E9=0
Type#EA=0
Type#EB=0
Type#EC=0
Type#ED=0
Type#EE=0
Type#EF=0
Type#F0=0
Type#F1=0
Type#F2=0
Type#F3=0
Type#F4=0
Type#F5=0
Type#F6=0
Type#F7=0
Type#F8=0
Type#F9=0
Type#FA=0
Type#FB=0
Type#FC=0
Type#FD=0
;ForceFlash indicate which BIOS internal areas are to be forcily flashed (even though the protected areas)
;Corresponding argument : "-all", "-fd" (dxe), "-fe" (ec), "-fl" (logo), "-fm" (microcode), "-fn" (oem nvs), "-fp" (password), "-fv" (variable), "-ft:" (specified type)
;ALL               default : 0.
;                        0 : Reserve all protected areas.
;                        1 : Flash all ROM parts.
;BB_PEI, CPU_Microcode, Variable, DXE, EC, Password, OEM_NVS, Logo, Type#09, Type#08
;                  default : 0.
;                        0 : Protect these areas if BIOS report them are protected areas.
;                        1 : Force flash these areas if BIOS report them are protected areas.
;UseBvdtRomMap
;                  default : 0.
;                        0 : Disable private/protection ROM map override feature.
;                            AP will reference IHISI report to protect regions.
;                        1 : Enable private/protection ROM map override feature.
;                            AP will reference BVDT defined map to protect regions.

;NOTE: The section only for the Intel platform
[Region]
BIOS=1
GbE=0
ME=1
DESC=1
Platform_Data=0
EC=1
BIOS2=0
SkipRegionCheck=1
;ChipsetRegion#00=255
;ChipsetRegion#01=255
;ChipsetRegion#02=255
;ChipsetRegion#03=255
;ChipsetRegion#04=255
;ChipsetRegion#05=255
;ChipsetRegion#06=255
;ChipsetRegion#07=255
;ChipsetRegion#08=255
;ChipsetRegion#09=255
;This section is used to control SPI descriptor mode.
;If the BIOS is built without additional Intel firmware as like ME, GBE and DESC
; or BIOS is an AMD firmware which does not support ME, please ignore this section.
;Corresponding argument : "-bios", "-gbe", "-me", "-pdr"
;BIOS              default : 0.
;                        0 : Don't flash.
;                        1 : Flash BIOS region.
;GbE               default : 0.
;                        0 : Don't flash.
;                        1 : Flash GbE region.
;ME                default : 0.
;                        0 : Don't flash.
;                        1 : Flash ME region.
;DESC              default : 0.
;                        0 : Don't flash.
;                        1 : Flash DESC region.
;Platform_Data     default : 0.
;                        0 : Don't flash.
;                        1 : Flash Platform_Data region.
;EC                default : 0.
;                        0 : Don't flash.
;                        1 : Flash Non-SHARE EC region.
;BIOS2             default : 0.
;                        0 : Don't flash.
;                        1 : Flash BIOS region #2.
;SkipRegionCheck   default : 0.
;                        0 : Check Platform Region
;                        1 : Don't check Platform Region.
; For both Normal and Security Flash.
;
;
;ChipsetRegion#xx Valid Values:
;
; 0  (0x00) - Flash Descriptor.
; 1  (0x01) - BIOS Region
; 2  (0x02) - Management Engine
; 3  (0x03) - Gigabit Ethernet Controller #1
; 4  (0x04) - Platform Data
; 5  (0x05) - Embedded Controller
; 6  (0x06) - Device Expansion #1
; 7  (0x07) - Innovation Engine
; 8  (0x08) - Endpoint Link Optimization Option ROM
; 9  (0x09) - Platform Trusted Technology
; 10 (0x0A) - 10Gb Ethernet
; 11 (0x0B) - Intel NAC Interface and Scheduler (NIS)
; 12 (0x0C) - Intel NAC Intelligent Reset Controller (iRC)
; 32 (0x20) - Management Engine Ignition
; 65 (0x41) - BIOS Region #2
; 67 (0x43) - Gigabit Ethernet Controller #2
; 70 (0x46) - Device Expansion #2
; 74 (0x4A) - 10Gb Ethernet #2
; 255(0xFF) - Disable update.
;
;
[UpdateEC]
Flag=0
EC_Dialog=0
BIOS_Only=0
EC_Only=0
EC_Path=
Progress_Bar=0
EC_Compare=0
EC_Verify=0
EC_VerifyErrorRetry=3
Action_20h=0
EC_BlockSize=64
Ignore_21h=0
;Flag              default : 0.
;                        0 : Don't flash EC by BIOS.
;                        1 : Flash EC by BIOS.
;EC_Dialog         default : 0.
;                        0 : Don't display confirm dialog when begin to update EC.
;                        1 : Show confirm dialog.
;BIOS_Only         default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Only flash BIOS part of the merge file.
;EC_Only           default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Flash only EC binary file.
;EC_Path           default : empty.
;                   String : EC file name.
;Progress_Bar      default : 0.
;                        0 : With no progress bar
;                        1 : With progress bar
;EC_Compare        default : 0.
;                        0 : Don't do compare before writing. Just do write action directly.
;                        1 : Read EC and compare difference before writing.
;                            If the read data is the same as the data we want to write,
;                              it will not do the write action.
;EC_Verify         default : 0.
;                        0 : Don't verify EC.
;                        1 : Verify EC after writing.
;EC_VerifyErrorRetry
;                  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable verify retry, and will retry setted times.
;                            0 for disable verify retry.
;Action_20h
;                  default : 0.
;                        0 : Doing nothing after flashing EC.
;                        1 : Depends on
;
; This key only works on Windows and DOS system.
;EC_BlockSize
;                  default : 64.
;                  Integer : The block size of EC update. Unit is KB.
;Ignore_21h
;                  default : 0.
;                        0 : Check IHISI 21h before update EC.
;                        1 : Ignore IHISI 21h checking before update EC.

[DirectFlash]
Enable=0
;DirectFlash send whole image to BIOS and then inform BIOS to flash block by block.
;Corresponding argument : "-df"
;Enable            default : 0
;                        0 : Not using direct flash
;                        1 : Using direct flash

[SkipModelCheck]
Enable=0
;Its function is equal to the argument "-x"
;Enable             default : 0
;                         0 : Do model check
;                         1 : Skip Check model

[SkipSecureBootProtectNV]
Enable=1
;Its function is equal to the argument "-ssb"
;Enable             default : 0
;                         0 : Do NV protect if secure boot
;                         1 : Not protect NV even when secure boot

[CommonFlash]
AutoAnswerYesOnQuery=0
SwitchString=
ErrorMsg00=No error!
ErrorMsg01=AC detect error!
ErrorMsg02=DC detect error!
ErrorMsg03=DC gas gauge under xx%!
ErrorMsg04=BIOS version compare error!
ErrorMsg05=Model name compare error!
ErrorMsg10=Not support this version of Flash Common Interface!
ErrorMsg11=Show BIOS version string length more then xx bytes.
ErrorMsg12=Show model name string length more then xx bytes.
;AutoAnswerYesOnQuery
;                  default : 0 is disable or 1 (equal argument "-y")
;
;SwitchString      default : empty.
;                   String : A switch flag setting string. Ex: "ACEN DCEN FHRST"
;                            Detail parameter please reference following table.
;  Parameter    | Description
;  -------------+----------------------------------------------
;  PTEN         | All protection enable.
;  PTDIS        | All protection disable.
;  ACEN         | AC protect checking enable.
;  ACDIS        | AC protect checking disable.
;  DCEN         | DC & Gangue protect checking enable.
;  DCDIS        | DC & Gangue protect checking disable.
;  RESSEN       | BIOS Regression enable.
;  RESSDIS      | BIOS Regression disable.
;  PJMDEN       | Project Model string protect checking enable.
;  PJMDDIS      | Project Model string protect checking disable.
;  FHOS         | System back to OS after flash BIOS completely.
;  FHST         | System directly shutdown after flash BIOS completely.
;  FHRST        | System directly reboot after flash BIOS completely.
;  CPVER:[Num]  | Common Flash Version information
;               | ex: [Num] is decimal and start from 1.
;  -------------+----------------------------------------------
;
;ErrorMsg00        default : empty.
;                   String : No error message.
;ErrorMsg01        default : empty.
;                   String : AC error message.
;ErrorMsg02        default : empty.
;                   String : DC error message.
;ErrorMsg03        default : empty.
;                   String : DC gas gauge under xx% message.
;ErrorMsg04        default : empty.
;                   String : BIOS version error message.
;ErrorMsg05        default : empty.
;                   String : Model name error message.
;ErrorMsg10        default : empty.
;                   String : No support this version of Flash Common Interface message.
;The number of ErrorMsg## is in hex.

[Version]
Version=
;InsydeFlash utility will display the value at top
;Version           default : empty.
;                   String : Version number string for display.
;                            It will be show on UI, and append on current version number.
;                            When current version is 5.01 and this version string set to "12",
;                             then it will show "InsydeFlash V5.01.12" on main dialog caption.

[BackupROM]
Flag=0
FilePath=c:
FileName=
;Flag              default : 0.
;                        0 : No backup BIOS.
;                        1 : Backup current BIOS and new BIOS binary.
;FilePath          default : empty.
;                    empty : Use current directory.
;                   String : Directory for backup BIOS.
;FileName          default : empty.
;                    empty : Use platform ID as file name.
;                   String : File name for backup BIOS.
;xxx.xxx = Current BIOS image
;xxx_01.xxx = Previous BIOS image
;xxx_new.xxx = New BIOS image

[UpdateBlock]
PatchFv=0
FileName=intel.fv
FileOffset=0
FlashSize=0
PhysicalAddress=FFF00000
FvID=945PL-A
IDErrorAction=1
;Corresponding argument :
;PatchFv           default : 0.
;                        0 : Update all binary in file.
;                        1 : Partial update mode.
;FileName          default : empty. (Only available in partial update mode.)
;                   String : BIOS file name.
;FileOffset        default : 0. (Only available in partial update mode.)
;                  Integer : The offset of file for reading.
;FlashSize         default : 0. (Only available in partial update mode.)
;                  Integer : The size to flash.
;PhysicalAddress   default : FFF00000. (Only available in partial update mode.)
;                    DWORD : Physical address in hex.
;FvID              default : empty.
;                   String : When flag in Platform_Check section is 1, utility will compare
;                              this value with current platform ID.
;IDErrorAction     default : 1. (Only available when ID comparison is failed.)
;                        1 : Show error message box.
;                        2 : Close utility and reboot or shutdown.

[Platform_Check]
Flag=3
PlatformName1=AA
PlatformName2=BB
PlatformName3=
PlatformName4=
PlatformName5=
PlatformName6=
PlatformName7=
PlatformName8=
PlatformName9=
PlatformName10=
PlatformName11=
PlatformName12=
PlatformName13=
PlatformName14=
PlatformName15=
PlatformName16=
PlatformName17=
PlatformName18=
PlatformName19=
PlatformName20=
;This flag is the switch of comparing bios project ID with ROM file project ID.
;Flag              default : 3.
;                        0 : Don't check project ID.
;                        1 : Check project ID of new file.
;                            If ID is different with current BIOS, the utility will close.
;                        2 : Utility will compare current platform ID with the 20 platform IDs.
;                            If any one is match, it will go ahead, otherwise utility will close.
;                        3 : Depends on BIOS report.
;PlatformName1~20  default : empty.
;                   String : If ROM file do not contain correct ID, user can define ID here.

[PlatformVersion]
Flag=0
Version1=
Version2=
Version3=
Version4=
Version5=
Version6=
Version7=
Version8=
Version9=
Version10=
Version11=
Version12=
Version13=
Version14=
Version15=
Version16=
Version17=
Version18=
Version19=
Version20=
;This flag only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;The Version is pair with the PlatformName.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;Flag              default : 0.
;                        0 : Don't use multi version.
;                        1 : Use the version in the list instead of the version in file.
;Version1~20       default : empty.
;                   String : If ROM file do not contain correct version, user can define version here.

[AC_Adapter]
Flag=1
BatteryCheck=0
BatteryBound=20
BatteryMethod=0
;This flag is the switch of checking AC.
;Flag              default : 1.
;                        0 : Don't check AC.
;                        1 : Check AC.
;BatteryCheck      default : 0.
;                        0 : Don't check battery.
;                        1 : Check battery.
;BatteryBound      default : 20.
;          Integer (1~100) : Low battery boundary (percentage).
;                            When BatteryCheck=1 this value will be referenced.
;                            And only when the battery life percentage is bigger then
;                              inputed value, it can do flash.
;BatteryMethod     default : 0.
;                        0 : Check by AP.
;                        1 : Check by BIOS.

[Bios_Version_Check]
Flag=2
CheckByBios=0
CheckByBiosErrorMessage="This BIOS file is not allow to flash. The flash process will be terminated."
;This flag is the switch of checking BIOS version.
;Flag              default : 2.
;                        0 : Don't check rom file version.
;                        1 : Check BIOS version.
;                            When rom file version is older then BIOS, it will display
;                              a warning message and close application.
;                        2 : Depend on BIOS report.
;CheckByBios       default : 0.
;                        0 : Normal process.
;                        1 : It will pass version by IHISI 45h to BIOS and check by BIOS.
;                            When BIOS return not allow to flash, it will be terminated the process.
;                            When BIOS allow to flash, it will go ahead and do it's normal process.
;                            When this flag is enable but BIOS not support, it will skip version check and assume allow to flash.
;CheckByBiosErrorMessage
;                  default : "This BIOS file is not allow to flash. The flash process will be terminated."
;                   String : User defined error message when BIOS is not allow to flash this version image.

[FlashComplete]
Action=2
Dialog=0
Counter=15
ActionOverride=0
Pause=0
PauseWhenFail=0
;Action            default : 2.
;                        0 : Do nothing.
;                        1 : Shutdown.
;                        2 : Reboot.
;Dialog            default : 0.
;                        0 : Don't display dialog.
;                        1 : Display dialog.
;                        2 : Display dialog and wait several seconds.
;Counter           default : 15. (Unit is second)
;                  Integer : The number of seconds for count down to reboot or shutdown.
;ActionOverride    default : 0
;                        0 : This key is disabled. Flash utility bases action key setting to do original behavior.
;                        1 : This key is enabled. Flash utility just does close itself in silent mode.
;Pause
;                  default : 0.
;                        0 : disable to pause after flash complete.
;                        1 : enable to pause after flash complete.
;PauseWhenFail
;                  default : 0.
;                        0 : disable to pause after secure flash failed.
;                        1 : enable to pause after secure flash failed.

[FlashCompleteExtend]
Delay=0
MessageBf=Finalizing BIOS update...
MessageAf=Reboot the system for the BIOS update to take effect...
;Delay             default : 0 (unit: second)
;                  None 0 for a delay time to show messages before and after it
;
;MessageBf
;                          : Shown message before delay
;MessageAf
;                          : Shown message after delay

[FlashSecureBIOSOverride]
EnableFlashSecureBIOSOverride=0
Action=1
;EnableFlashSecureBIOSOverride
;                  default : 0.
;                        0 : Disable action override. Use the action which returned from BIOS.
;                        1 : Enable the action override when flashing secure BIOS in OS.
;Action            default : 1.
;                        0 : S3.
;                        1 : Reboot.
;                        2 : Shutdown.
;                        3 : Do nothing.

[UI]
Confirm=1
Silent=0
DisplayID=1
InsydeInfo=1
VersionInfo=1
GroupInfo=1
ConfirmInfo=0
ConfirmInfoRDate=0
OnFlashingBeep=0
OnFlashingBeepFrequency=440
DisableMouseAndKeyboardInput=0
BeforeRunToolDelayTime=0
ProgramStartToWrongMessageBox=0
DelayBeforeFlash=0
DisableAccessRightWarningMessage=0
ShowCustomizeMessageOnConfirmDialogOnly=0
ProgressDelay=1
;Confirm           default : 1.
;                        0 : Don't display confirm dialog.
;                        1 : Display confirm dialog.
;Silent            default : 0.
;                        0 : Normal mode.
;                        1 : Silent mode, hide main dialog.
;DisplayID         default : 1.
;                        0 : Don't display BIOS ID.
;                        1 : Display BIOS ID (Depends on BIOS 11h report).
;InsydeInfo        default : 1.
;                        0 : Don't display Insyde copyright information and URL.
;                        1 : Display Insyde copyright information and URL.
;VersionInfo       default : 1.
;                        0 : Don't display BIOS version.
;                        1 : Display BIOS version (Depends on BIOS 11h report).
;GroupInfo         default : 1.
;                        0 : Don't display group box.
;                        1 : Display group box.
;ConfirmInfo       default : 0.
;                        0 : Don't display BIOS version and build date information in confirm dialog.
;                        1 : Display BIOS version and build date information in confirm dialog.
;ConfirmInfoRDate  default : 0.
;                        0 : Don't display BIOS version and release date information in confirm dialog.
;                        1 : Display BIOS version and release date information in confirm dialog.
;                            When this flag set to 1, the ConfirmInfo flag won't be referenced.
;OnFlashingBeep    default : 0.
;                        0 : Don't beep on flashing.
;                        1 : Beep on flashing.
;OnFlashingBeepFrequency
;                  default : 440. (Unit is Hz)
;                  Integer : Set beep frequency.
;DisableMouseAndKeyboardInput
;                  default : 0.
;                        0 : Don't hook mouse and keyboard.
;                        1 : Hook mouse and keyboard without "CTRL+ALT+DEL".
;BeforeRunToolDelayTime
;                  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flash process.
;ProgramStartToWrongMessageBox
;                  default : 0.
;                        0 : Don't pop-up warning dialog before flash process.
;                        1 : Pop-up a warning dialog before flash process.
;DelayBeforeFlash  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flashing.
;DisableAccessRightWarningMessage
;                  default : 0
;                        0 : It will show warning message when any region is locked (such as ME) in input image.
;                        1 : Do not show warning message when any region is locked in input image.
;ShowCustomizeMessageOnConfirmDialogOnly
;                  default: 0.
;                        0 : Display default confirm message and insert the customize message on confirm dialog.
;                        1 : Do not display default confirm message. Only show the customize message in confirm dialog.
;ProgressDelay
;                  default : 1
;                   number : Progress delay time(ms). 0 to disable it.

[Others]
ClearCMOS=0
FlashDevice=0
DisableCompare=0
DisableVerify=0
VerifyErrorRetry=3
SMIErrorRetryDelay=100
SMIErrorRetry=5
AllowVersion=000
ForceIHISIVersion=
EnablePrivateRegionMovement=0
DisableSecureCapsuleFlash=0
ShowBuildDateTime=0
ErrorPause=0
SkipImageSizeCheck=0
;ClearCMOS         default : 0.
;                        0 : Don't clear CMOS.
;                        1 : Clear CMOS.
;FlashDevice       default : 0.
;                        0 : Default.
;                        1 : SPI flash part.
;                        2 : Non-SPI flash part.
;DisableCompare    default : 0.
;                        0 : Read BIOS and compare difference before writing.
;                            If the readed data is the same as the data we want to write,
;                              it will not do the write action.
;                        1 : Don't do compare before writing. Just do write action directly.
;DisableVerify     default : 0.
;                        0 : Verify BIOS after writing.
;                        1 : Don't verify BIOS after writing.
;VerifyErrorRetry  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable verify retry, and will retry setted times.
;                            0 for disable verify retry.
;SMIErrorRetryDelay
;                  default : 100. (Unit is millisecond)
;                  Integer : Delay time during SMI error retry(millisecond).
;SMIErrorRetry     default : 5.
;                  Integer : Retry times when SMI fail. (Note: This may let flash time become longer.)
;AllowVersion      default : 000.
;                  Version : Utility will do following process.
;                            If you want to run into UEFI flash update, the current version (on board BIOS) must be higher than this version
;                            (as "AllowVersion" key).
;                            Current BIOS version > allow version: Utility will run into UEFI flash update.
;                            Current BIOS version <= allow version: Utility will run into Window flash to update BIOS.
;                            If AllowVersion=000, utility always into UEFI flash update.
;ForceIHISIVersion default : empty.
;                  Version : This flag will force override the IHISI version which will passing to BIOS.
;                            Ex: 1.9.1
;EnablePrivateRegionMovement
;                  default : 0
;                        0 : Disable private region movement.
;                        1 : Enable private region movement. It will backup orginal private region and relocate to new address which defined in new image BVDT when update whole BIOS.
;DisableSecureCapsuleFlash
;                  default : 0.
;                        0 : Enable flash secure BIOS on normal platform.
;                        1 : Disable flash secure BIOS on normal platform.
;ShowBuildDateTime
;				   default : 0.
;					     0 : Not to display the build time and date
;                        1 : To display the build time and date
;ErrorPause
;		   default : 0.
;	                 0 : Disable Error Pause.
;                        1 : Enable Error Pause.
;
;SkipImageSizeCheck
;		   default : 0.
;	                 0 : Disable Skip Image Size Check.
;                        1 : Enable Skip Image Size Check
;
[Option]
Flag=0
;Flag              default : 0.
;                        0 : Auto flash mode.
;                        1 : User option mode, including option, start, exit buttons.
;                            (Option button will disable on secure flash mode.)
;                        2 : User flash mode, including start, exit buttons.

[ReturnErrorCode]
FileNotFound=3
ErrorBeforeFlash=4
BatteryNotConnect=4
BatteryCapacityNotEnough=4
WriteROMFail=5
WriteECFail=6
WriteExtraDataFail=7
;        !! NOTE !!        : Those value should less than 256 (0-255) on Linux system.
;FileNotFound      default : 3.
;                  Integer : If utility can't find the BIOS file, it will return this error code.
;ErrorBeforeFlash  default : 4.
;                  Integer : If error occur before flash process, it will return this error code.
;BatteryNotConnect default : 4.
;                  Integer : If battery not connect, it will return this error code.
;                            (This error is separated from ErrorBeforeFlash.)
;BatteryCapacityNotEnough
;                  default : 4.
;                  Integer : If battery capacity not enough, it will return this error code.
;                            (This error is separated from ErrorBeforeFlash.)
;WriteROMFail      default : 5.
;                  Integer : If error occur during write ROM process, it will return this error code.
;WriteECFail       default : 6.
;                  Integer : If error occur during write EC process, it will return this error code.
;WriteExtraDataFail
;                  default : 7.
;                  Integer : If error occur during write Extra Data process, it will return this error code.

[UpdateExtraData]
Flag=0
DataType=1
type1errorcodeA0=messagestring1
;Flag              default : 0.
;                        0 : Do not update extra data.
;                        1 : Update extra data by IHISI.
;                            If new image is NOT processed by IFIT tool, please do not enable this function.
;DataType          default : 1.
;                  Integer : Integer number. The meaning of data type number will define by BIOS OEM.
;                          : Now will support 1, 4~C.
;                          : Ex:1,4,6,5 -> Mean you want to update 1,4,6,5 Four type of data.
;                          : Notice: 2, 3 cannot used.
;type#errorcode??=messagestringX
;                          : This key is for customizing error message which occur in update extra data.
;                            For example:
;                            When an error occur when updating type 4, BIOS return the error code A2.
;                            AP will find the key "type4errorcodeA2" and get the string ID "messagestring4", and find the string in [MessageStringTable].
;                            Then shows the message string instead of standard error message.
;                        # : The the type number define in DataType. (Hex)
;                       ?? : The error code returned by BIOS. Available value range  A0~AF.
;                        X : Message string number.
;This feature will let you just input data to update by IHISI. Data type will define by BIOS OEM.
;If new image is NOT processed by IFIT tool, please do not enable this function.

[UpdateOEMME]
MEFileName=
Command=
;MEFileName        default : empty.
;                   String : if this file name or Multi-FD ME file name exist tool will run this case to flash ME.
;Command           default : empty.
;                   String : This field depends on the user to do what arguments they would like.
;                            The %filename is a keyword which will be replaced with the value in MEFileName within this section or the filename in MULTI_FD section.
;                  example : "-f %filename -allowsv", means it doesn't want to check ME version.

[Log_file]
Flag=0
FileName=H2OFFT.log
CMOS_Flag=0
CMOS_INDEX_PORT=70
CMOS_DATA_PORT=71
CMOS_OFFSET=68,69
;Flag              default : 0.
;                        0 : Don't log to file.
;                        1 : Utility will log to specify file.
;FileName          default : h2offt.log.
;                   String : Log file name. The name should be less than 8 characters to avoid open error under DOS.
;CMOS_Flag         default : 0.
;                        0 : Disable CMOS debug.
;                        1 : Enable CMOS debug.
;CMOS_INDEX_PORT   default : 70. (hex)
;                       70 : Use 0x70 port as index port.
;                       72 : Use 0x72 port as index port.
;CMOS_DATA_PORT    default : 71. (hex)
;                       71 : Use 0x71 port as index port.
;                       73 : Use 0x73 port as index port.
;CMOS_OFFSET       default : 0,0. (hex)
;                            CMOS_OFFSET=xx,yy the xx is high byte offset; yy is low byte offset, and the range is 0~FF (hex)

[ReturnCodeDefinition]
RETURN_SUCCESSFUL=0
RETURN_MODEL_CHECK_FAIL=259
RETURN_AC_NOT_CONNECT=1702
RETURN_LOAD_DRIVER_FAIL=1703
RETURN_NEED_REBOOT=3010
;        !! NOTE !!        : Those value should less than 256 (0-255) on Linux system.
;                  default : RETURN_SUCCESSFUL=0
;                            RETURN_MODEL_CHECK_FAIL=259
;                            RETURN_AC_NOT_CONNECT=1602
;                            RETURN_LOAD_DRIVER_FAIL=259
;                            RETURN_NEED_REBOOT=3010
;                    99999 : Use the default value above.
;            Other integer : Use input value as return code.

[MULTI_FD]
Flag=0
FD#01=PCI,0,1F,2,80,00007006,00007007,9.fd,ME.fd
FD#02=PCI,2,0,0,4,00100006,00100007,7.fd,ME.fd
FD#03=PCI,2,0,0,18,0000000c,0000000e,9.fd,ME.fd
FD#04=MPCIIO,2,PCI-0-1F-0-00-FFFFFFFF-3B0B8086,IO-538-0100-0000,9.fd,ME.fd
FD#05=IO,C0,5AABFE02,5AABFE02,9.fd,ME.fd
FD#06=IO,1F6,E7,E4,7.fd
FD#07=IO,C0,fe03,fe03,7.fd
FD#08=IO,C0,03,01,7.fd
FD#09=PCI,2,0,0,0,00000813,00000812,9.fd
FD#10=ID,ModelName,BIOS.fd
FD#11=OS,32,32bios.bin,,32.ini
FD#12=OS,64,64bios.bin,me.bin,64.ini
FD#13=MEMORY,55aa55aa,F0F0F0F0,afafafaf,FD_m.bin,ME_m.bin,CFG_m.ini
;Flag              default : 0.
;                        0 : Normal mode.
;                        1 : Multi-FD mode. It will reference FD#XX values.
;FD#XX support up to 99 files FD#01 ~ FD#99
;This section supports IO space type, PCI address type and multiple condition type.
;FD#XX=IO,[Offset],[Mask],[Value],[File Name],[ME File Name],[INI File Name]
;FD#XX=PCI,[Bus],[Device],[Function],[Offset],[Mask],[Value],[File Name],[ME File Name],[INI File Name]
;FD#XX=MPCIIO,[Conditon Number],PCI-[Bus]-[Device]-[Function]-[Offset]-[Mask]-[Value],IO-[Offset]-[Mask]-[Value],[File Name],[ME File Name],[INI File Name]
;FD#XX=ID,[Model Name],[File Name],[ME File Name],[INI File Name]
;FD#XX=OS,[OS Version],[Filename],[ME Filename],[INI Filename]
;FD#XX=MEMORY,[Physical Address],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;                 [Offset] : Offset in hex.
;                   [Mask] : IO type supports BYTE, WORD and DWORD in hex.
;                              For example, BYTE -> 03, WORD -> 0A01, DWORD 100400D3
;                            PCI type supports DWORD in hex only.
;                  [Value] : IO type supports BYTE, WORD and DWORD in hex.
;                            PCI type supports DWORD in hex only.
;             [Model Name] : The platform ID, model name string.
;             [OS Version] : 32bit or 64bit OS. 32 for 32bit OS, 64 for 64bit OS.
;       [Physical Address] : A DWORD value in hex.
;              [File Name] : File name of FD.
;           [ME File Name] : ME File name of FD. If it exists, utility will run OEMME flash feature.
;          [INI File Name] : INI File name for overwrite.
;                            If it exists, utility will load the new ini file and overwrite all sections (except [MULTI_FD]) exist in new ini file.
;When [Offset] & [Mask] == [Value], it will flash the following files ([File Name] and [ME File Name]).

[BIOSVersionFormat]
BIOSVFEnable=0
VersionFormat=TXXXXXXX.N.NN.NN
;This BIOSVFEnable flag is the switch of BIOSVersionFormat.
;FunctionEnable    default : 0
;                        0 : function is disabled
;                        1 : function is enabled.
;VersionFormat           X : The field is masked. The mask field will be NOT compared.
;                        N : The digit field can be ASCII, case-sensitive.
;                        T : It's the same definition with N. But T is a case-insensitive.
;                        . : Dot is also a mask.
;                        D : Don't care field. It will NOT be compared.
;                            This field can be empty.
;                            It only allow to put at start or end of the version format.
;                            For example: Onboard version 1.21B flash to 1.22, VersionFormat must be N.NND
;                                         N.NND means the valid format is N.NN and N.NNX, the 5th character will be ignore in version compare.

[PermitFlashVersion]
PFVFunctionEnable=0
SingleVersion=
MultiVersion1=
MultiVersion2=
MultiVersion3=
MultiVersion4=
MultiVersion5=
MultiVersion6=
MultiVersion7=
MultiVersion8=
MultiVersion9=
MultiVersion10=
MultiVersion11=
MultiVersion12=
MultiVersion13=
MultiVersion14=
MultiVersion15=
MultiVersion16=
MultiVersion17=
MultiVersion18=
MultiVersion19=
MultiVersion20=
;This section is for conditional version definition for BIOS update.
;When this function enabled, flash utility will compare on board BIOS version with conditional version and then decide to continue flash progress or not.
;For example: In following condition PFVFunctionEnable=1, SingleVersion=A03, "Please update to BIOS version A03 first!".
;             When on board BIOS version is older then A03,
;              it will popup the error dialog with the message "Please update to BIOS version A03 first!" and  then terminated.
;             Otherwise it will continue orginal flash process.
;The MultiVersion1~20 are similar as SingleVersion, but they only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;They must be pair of the PlatformName of [Platform_Check] section.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;PFVFunctionEnable default : 0.
;                        0 : Disable conditional version check.
;                        1 : Enable conditional version check.
;SingleVersion     default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.
;MultiVersion1~20  default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.

[PasswordCheck]
PasswordCheckEnable=0
MsgCaption=Password confirmation
MsgPreface=Please enter password
MsgSuccess=Password is correct.
MsgFailure=Password is incorrect. Please retry again.
;PasswordCheckEnable
;                  default : 0.
;                        0 : Disable the password check function.
;                        1 : Enable the password check function.
;MsgCaption        default : "Password confirmation"
;                   String : The dialog box caption.
;MsgPreface        default : "Please enter password"
;                   String : The preface of password entering.
;MsgSuccess        default : "Password is correct."
;                   String : The string displayed when the comparing result returned by BIOS is 0x00.
;MsgFailure        default : "Password is incorrect. Please retry again."
;                   String : The string displayed when the comparing result returned by BIOS is 0x01.

[MessageStringTable]
messagestring1="Warning message 1"
;The message string must as following format messagestring#="Your message here."
;The # is a number in Decimal or Hex.

[FactoryCopy]
Restore=1
;Restore           default : 0.
;                        0 : Don't do FACTORY_COPY restore after flash.
;                        1 : Restore FACTORY_COPY after flash BIOS.
; For Security Flash only.

[SecureUpdate]
viaESP=2
CapsuleDir=EFI\Insyde
PhysicalMemoryAllocateFailRetryTimes=3
PhysicalMemoryAllocateFailRetryDelay=500
;viaESP
;                  default : 2.
;                        0 : Disable.
;                            Pass capsule via memory only.
;                        1 : Write the capsule to ESP (EFI system partition).
;                            Pass capsule via ESP only.
;                            Onboard BIOS need to support via ESP method, if BIOS not support then the update failed.
;                        2 : Pass capsule via ESP or memory.
;                            It will try to update capsule via ESP first.
;                            When via ESP method failed it will use pass capsule to BIOS via memory.
;                            When via ESP method success it will return success.
;CapsuleDir
;                  default : EFI\Insyde.
;PhysicalMemoryAllocateFailRetryTimes
;                  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable physical memory allocate fail retry, and will retry set times.
;                            0 for disabling retry.
;PhysicalMemoryAllocateFailRetryDelay
;                  default : 500. (Unit is millisecond)
;                  Integer : Delay time during secure update physical memory allocate fail retry (millisecond).


[AutoWakeup]
Flag=0
Interval=120
;Flag                               (wsWDS)
;                  default : 0.
;                        0 : disable.
;                        1 : enable auto power on via RTC.
;Interval                           (wsWDS)
;                  default : 120.
;                  Integer : unit is second. interval time after system turn off.

; For Security Flash only.
[EngineeringErrorDisable]
SkipSecureBootProtectionCheck=0
;SkipSecureBootProtectionCheck
;                  default : 0.
;                        0 : Disable.
;                        1 : Enable.

[SecurityFlashFactoryUpdate]
UpdateNvStorage=1
UpdateFactoryCopy=1
;UpdateNvStorage
;                  default : 0.
;                        0 : Don't update NV storage area on secure boot support platform.
;                        1 : Force updating NV storage area on secure boot support platform.
;UpdateFactoryCopy
;                  default : 0.
;                        0 : Don't update FactoryCopy area on secure boot support platform.
;                        1 : Force updating FactoryCopy area on secure boot support platform.

[HoldGuiBeforeFlash]
Interval=0
;Interval
;                  default : 0.
;                  Integer : Unit is second. Hold graphic mode before falsh.

[PreserveDmiData]
Flag=1
MergeOption=0
PreserveType1=0
PreserveType2=0
PreserveType3=0
PreserveType4=0
PreserveType5=0
PreserveType6=0
PreserveType7=0
PreserveType8=0
PreserveType9=0
PreserveType10=0
PreserveType11=0
PreserveType12=0
PreserveType13=0
PreserveType14=0
PreserveType15=0
PreserveType16=0
PreserveType17=0
PreserveType18=0
PreserveType19=0
PreserveType20=0
;Flag
;                  default : 0.
;                        0 : disable.
;                        1 : Preserve All Dmi Data.
;                        2 : Preserve Dmi Type Data. The Type is define in PreserveType1~20
;
;MergeOption       Enabled as the setting of the 'Flag' field is 1 & 2
;                  default : 0.
;                        0 : disable. (Use DMI region from platform only)
;                        1 : Choose the record from the DMI region in the platform if it exists in both places.
;                        2 : Choose the record from the DMI region in the BIOS image if it exists in both places.
;PreserveType1~20  
;                  Define Preserve Type Integer Number.
;    
              
[SecureFlashPlatformIniSetting]
Flag=0     
;Flag
;                  default : 0.
;                        0 : Use the Platform.ini from H2OFFT (Dos/Shell/Linux/Windows) if it exists and has been loaded successfully.
;                        1 : Use iEFIFlashSigner.exe Platform.ini setting.

[SelectFlashRom]
Enable=0
SelectNumber=0
AmdDualROM=0
;Enable
;                  default : 0.
;                        0 : Disable Chip Select Flash Rom function
;                        1 : Enable Chip Select Flash Rom function
;
;SelectNumber      default : 0 
;                  Select Flash Rom Number
;

[NmiWatchDog]
Enable=0
Value=1
;Enable
;                  default : 0
;                        0 : Disable nmi_watchdog override.
;                        1 : Enable nmi_watchdog override
;
;Value             default : 1
;                  Value that you wish to override. 0 can complete disable nmi_watchdog.
;

[FDMCompare]
Enable=0
QueryUser=0
;Enable
;                  default : 0
;                        0 : Disable the comparison of FDM content between image file and on board BIOS.
;                        1 : Enable comparison
;
;QueryUser         default : 0
;                  Ask user to continue or not if the comparison is not equal.
;

[Linux_Only]
NoSysrq=0;
;NoSysrq
;                  default : 0
;                        0 : Lift the kernel lockdown when Secure Boot is enabled
;                        1 : Retain the kernel lockdown when Secure Boot is enabled.
;
ESP_MountPoint=/boot/efi
;ESP_MountPoint    The mount point for the EFI system partition.
;                  default : /boot/efi

